Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.coralogix.com/mgmt/openapi/4/enrichment-rules/custom-enrichment-rules/v1 \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "description": "custom_enrichment_description", "file": { "extension": "csv", "name": "file_name", "size": 100, "textual": "row1,row2 value1,value2" }, "name": "custom_enrichment_name" } '
{ "customEnrichment": { "description": "<string>", "fileName": "<string>", "fileSize": 123, "id": 123, "isQueryOnly": true, "name": "<string>", "version": 123 }, "message": "Custom enrichment created successfully" }
No description available
API key authentication
This request data structure is used to create a custom enrichment
"custom_enrichment_description"
This data structure represents a file
Show child attributes
"custom_enrichment_name"
This response data structure is obtained when a custom enrichment is created
"Custom enrichment created successfully"
Was this page helpful?